org.eclipse.ecf.core.util

## Class ExtensionRegistryRunnable

- java.lang.Object
- - org.eclipse.ecf.core.util.ExtensionRegistryRunnable

All Implemented Interfaces:
  org.eclipse.core.runtime.ISafeRunnable

    public class ExtensionRegistryRunnable
    extends Object
    implements org.eclipse.core.runtime.ISafeRunnable

Since:
  3.4

### Constructor Summary

Constructors
Constructor and Description
`ExtensionRegistryRunnable(BundleContext ctxt)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected BundleContext` `getContext()`
`void` `handleException(Throwable exception)`
`protected void` `logWarning(Throwable exception)`
`void` `run()`
`protected void` `runWithoutRegistry()`
`protected void` `runWithRegistry(org.eclipse.core.runtime.IExtensionRegistry registry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtensionRegistryRunnable

    public ExtensionRegistryRunnable(BundleContext ctxt)

### Method Detail

#### getContext

    protected BundleContext getContext()

Since:
  3.8

#### runWithoutRegistry

    protected void runWithoutRegistry()
                               throws Exception

Throws:
  `Exception`

#### runWithRegistry

    protected void runWithRegistry(org.eclipse.core.runtime.IExtensionRegistry registry)
                            throws Exception

Throws:
  `Exception`

#### logWarning

    protected void logWarning(Throwable exception)

#### run

    public void run()
             throws Exception

Specified by:
  `run` in interface `org.eclipse.core.runtime.ISafeRunnable`
Throws:
  `Exception`

#### handleException

    public void handleException(Throwable exception)

Specified by:
  `handleException` in interface `org.eclipse.core.runtime.ISafeRunnable`